Subject: Bugs with gcc
From: [email-masked] ("D.H.Akehurst")

22 Jan 1997 21:38:52 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: exmh version 1.6.5 12/11/95
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

I have just recently discovered your project, which is I hope going to save me
much trouble as I have to port some unix developed code to win32.

however, I have come across two problems,

firstly, compiling/linking with the -s flag to g++ causes an executable
to be produced, that will not run, - apparently a non NT executable.

This is no problem to me as I'm not using it, but I happened across it,
and figured it should be reported.

secondly, the stl provided within the g++ library seems to have some problems,

I'm compiling several object files each including various parts of the stl,
and when I come to link them I get numerous
"multiple definition of ..." errors
which refer to things defined in "alloc.h"

As far as I can tell this is because these things are defined in the header 
file
in such a way as they should not be included more than once,
ie. non inline functions, and other stuff

the functions I can fix by adding inline's, but I'm not sure how to fix this
with the variable definitions.

hope someone can help
Dave.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".